> For the complete documentation index, see [llms.txt](https://developers.aixchain.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.aixchain.com/http-api/api-list/query-the-network/getblockbylimitnext.md).

# GetBlockByLimitNext

Returns the list of Block Objects included in the 'Block Height' range specified.

**BODY PARAMS**

`{`

**`startNum`**` ``int32`

**`endNum`**`  ``int32`

`}`

**Note:**  &#x20;

* **startNumint32 :** Starting block height, including this block.
* **endNum:** Ending block height, excluding that block.

**Example:**

```
curl -X POST  https://api.trongrid.io/wallet/getblockbylimitnext -d '{"startNum":4569013,"endNum":4569015}'

```

**Input:**&#x20;

`{`

`"startNum":4569013,`&#x20;

`"endNum":4569015`&#x20;

`}`

**response:**

`{`&#x20;

`"block": [ { "blockID": "000000000045b7b554bf5cf9f04071a95ac85ae592d2b5ce08b2e20eed2b6ab2", "block_header": { "raw_data": { "number": 4569013, "txTrieRoot": "0000000000000000000000000000000000000000000000000000000000000000", "witness_address": "41fd984ae29f7459aeae375af09b2241acea0b22a0", "parentHash": "000000000045b7b4a4ddd8c1659af43bf6838d9b1daf2e29b8c715d6fd8ca742", "version": 21, "timestamp": 1639441602000 }, "witness_signature": "a19e8ce4faccd6dee699401ed126583b1f1497d9c2922bc39ed12a052ae0aa285626427a7861a8399b873758021690617f10acb280914f093ab2edb35f3751a200" } }, { "blockID": "000000000045b7b6ba36bc540cc20a7d012ccffd7a793a0fe84c0a5f470fdab3", "block_header": { "raw_data": { "number": 4569014, "txTrieRoot": "0000000000000000000000000000000000000000000000000000000000000000", "witness_address": "412cc09193d124f7678a482a38874ce6a6a7308e25", "parentHash": "000000000045b7b554bf5cf9f04071a95ac85ae592d2b5ce08b2e20eed2b6ab2", "version": 21, "timestamp": 1639441605000 }, "witness_signature": "c12c7c79bc9ad238cd8387f06ee47b3a4451a5c689bff91421b926dc123c98385c3ead4651b6eab322c82f3fdabde63718ca3d7815e410d5fea6989944d1124400" } } ]`&#x20;

`}`
